FC_VPORT_CREATE(9)

NAME
fc_vport_create - Admin App or LLDD requests creation of a vport

SYNOPSIS

struct fc_vport * fc_vport_create(struct Scsi_Host * shost, int channel, struct fc_vport_identifiers * ids);

ARGUMENTS

shost
    scsi host the virtual port is connected to.

channel
    channel on shost port connected to.

ids
    The world wide names, FC4 port roles, etc for the virtual port.

NOTES

This routine assumes no locks are held on entry.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT